org.eclipse.emf.cdo.spi.common.protocol

## Class CDODataInputImpl

- java.lang.Object
- - org.eclipse.net4j.util.io.ExtendedDataInput.Delegating
  - - org.eclipse.emf.cdo.spi.common.protocol.CDODataInputImpl

- All Implemented Interfaces:
    java.io.Closeable, java.io.DataInput, java.lang.AutoCloseable, CDODataInput, ExtendedDataInput
  Direct Known Subclasses:
    CDODataInputImpl.Default

      public abstract class CDODataInputImpl
      extends ExtendedDataInput.Delegating
      implements CDODataInput

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    4.2
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CDODataInputImpl.Default` A concrete subclass of `CDODataInputImpl`.

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.io.ExtendedDataInput

      `ExtendedDataInput.Delegating, ExtendedDataInput.Stream`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CDODataInputImpl(ExtendedDataInput delegate)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract CDOBranchManager` | `getBranchManager()`
    `protected abstract CDOCommitInfoManager` | `getCommitInfoManager()`
    `protected abstract CDOListFactory` | `getListFactory()`
    `protected abstract CDOLobStore` | `getLobStore()`
    `protected StringIO` | `getPackageURICompressor()`
    `protected abstract CDORevisionFactory` | `getRevisionFactory()`
    `protected boolean` | `isXCompression()`
    `CDOBranch` | `readCDOBranch()`
    `CDOBranchPoint` | `readCDOBranchPoint()`
    `CDOBranchVersion` | `readCDOBranchVersion()`
    `CDOChangeSetData` | `readCDOChangeSetData()`
    `CDOClassifierRef` | `readCDOClassifierRef()`
    `EClassifier` | `readCDOClassifierRefAndResolve()`
    `CDOCommitData` | `readCDOCommitData()`
    `CDOCommitInfo` | `readCDOCommitInfo()`
    `CDOFeatureDelta` | `readCDOFeatureDelta(EClass owner)`
    `java.lang.Object` | `readCDOFeatureValue(EStructuralFeature feature)`
    `CDOID` | `readCDOID()`
    `CDOIDAndBranch` | `readCDOIDAndBranch()`
    `CDOIDAndVersion` | `readCDOIDAndVersion()`
    `CDOIDReference` | `readCDOIDReference()`
    `CDOList` | `readCDOList(EClass owner, EStructuralFeature feature)`
    `IDurableLockingManager.LockArea` | `readCDOLockArea()`
    `CDOLockChangeInfo` | `readCDOLockChangeInfo()`
    `CDOLockOwner` | `readCDOLockOwner()`
    `CDOLockState` | `readCDOLockState()`
    `IRWLockManager.LockType` | `readCDOLockType()`
    `CDOPackageInfo` | `readCDOPackageInfo()`
    `CDOPackageUnit` | `readCDOPackageUnit(ResourceSet resourceSet)`
    `CDOPackageUnit[]` | `readCDOPackageUnits(ResourceSet resourceSet)`
    `CDOPackageUnit.Type` | `readCDOPackageUnitType()`
    `java.lang.String` | `readCDOPackageURI()`
    `CDORevisable` | `readCDORevisable()`
    `CDORevision` | `readCDORevision()`
    `CDORevision` | `readCDORevision(boolean freeze)`
    `CDORevisionDelta` | `readCDORevisionDelta()`
    `CDORevisionKey` | `readCDORevisionKey()`
    `java.lang.Object` | `readCDORevisionOrPrimitive()` Read either a CDORevision or a primitive value.
    `java.lang.Object` | `readCDORevisionOrPrimitiveOrClassifier()` Read either a CDORevision, a primitive value or a EClass.
    `CDOType` | `readCDOType()`
    `int` | `readXInt()`
    `long` | `readXLong()`

    - ### Methods inherited from class org.eclipse.net4j.util.io.ExtendedDataInput.Delegating

      `close, getDelegate, readBoolean, readByte, readByteArray, readChar, readDouble, readEnum, readException, readFloat, readFully, readFully, readInt, readLine, readLong, readObject, readObject, readObject, readShort, readString, readUnsignedByte, readUnsignedShort, readUTF, readVarInt, readVarLong, skipBytes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.protocol.CDODataInput

      `getPackageRegistry`

    - ### Methods inherited from interface org.eclipse.net4j.util.io.ExtendedDataInput

      `readByteArray, readEnum, readException, readObject, readObject, readObject, readString, readVarInt, readVarLong`

    - ### Methods inherited from interface java.io.DataInput

      `readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedShort, readUTF, skipBytes`

- - ### Constructor Detail

    - #### CDODataInputImpl

          public CDODataInputImpl(ExtendedDataInput delegate)

  - ### Method Detail

    - #### readXInt

          public int readXInt()
                       throws java.io.IOException

      Specified by:
        `readXInt` in interface `CDODataInput`
      Throws:
        `java.io.IOException`
      Since:
        4.6

    - #### readXLong

          public long readXLong()
                         throws java.io.IOException

      Specified by:
        `readXLong` in interface `CDODataInput`
      Throws:
        `java.io.IOException`
      Since:
        4.6

    - #### readCDOPackageUnit

          public CDOPackageUnit readCDOPackageUnit(ResourceSet resourceSet)
                                            throws java.io.IOException

      Specified by:
        `readCDOPackageUnit` in interface `CDODataInput`
      Throws:
        `java.io.IOException`

    - #### readCDOPackageUnits

          public CDOPackageUnit[] readCDOPackageUnits(ResourceSet resourceSet)
                                               throws java.io.IOException

      Specified by:
        `readCDOPackageUnits` in interface `CDODataInput`
      Throws:
        `java.io.IOException`

    - #### readCDOPackageUnitType

          public CDOPackageUnit.Type readCDOPackageUnitType()
                                                     throws java.io.IOException

      Specified by:
        `readCDOPackageUnitType` in interface `CDODataInput`
      Throws:
        `java.io.IOException`

    - #### readCDOPackageInfo

          public CDOPackageInfo readCDOPackageInfo()
                                            throws java.io.IOException

      Specified by:
        `readCDOPackageInfo` in interface `CDODataInput`
      Throws:
        `java.io.IOException`

    - #### readCDOPackageURI

          public java.lang.String readCDOPackageURI()
                                             throws java.io.IOException

      Specified by:
        `readCDOPackageURI` in interface `CDODataInput`
      Throws:
        `java.io.IOException`

    - #### readCDOClassifierRef

          public CDOClassifierRef readCDOClassifierRef()
                                                throws java.io.IOException

      Specified by:
        `readCDOClassifierRef` in interface `CDODataInput`
      Throws:
        `java.io.IOException`

    - #### readCDOClassifierRefAndResolve

          public EClassifier readCDOClassifierRefAndResolve()
                                                     throws java.io.IOException

      Specified by:
        `readCDOClassifierRefAndResolve` in interface `CDODataInput`
      Throws:
        `java.io.IOException`

    - #### readCDOType

          public CDOType readCDOType()
                              throws java.io.IOException

      Specified by:
        `readCDOType` in interface `CDODataInput`
      Throws:
        `java.io.IOException`

    - #### readCDOBranch

          public CDOBranch readCDOBranch()
                                  throws java.io.IOException

      Specified by:
        `readCDOBranch` in interface `CDODataInput`
      Throws:
        `java.io.IOException`

    - #### readCDOBranchPoint

          public CDOBranchPoint readCDOBranchPoint()
                                            throws java.io.IOException

      Specified by:
        `readCDOBranchPoint` in interface `CDODataInput`
      Throws:
        `java.io.IOException`

    - #### readCDOBranchVersion

          public CDOBranchVersion readCDOBranchVersion()
                                                throws java.io.IOException

      Specified by:
        `readCDOBranchVersion` in interface `CDODataInput`
      Throws:
        `java.io.IOException`

    - #### readCDOChangeSetData

          public CDOChangeSetData readCDOChangeSetData()
                                                throws java.io.IOException

      Specified by:
        `readCDOChangeSetData` in interface `CDODataInput`
      Throws:
        `java.io.IOException`

    - #### readCDOCommitData

          public CDOCommitData readCDOCommitData()
                                          throws java.io.IOException

      Specified by:
        `readCDOCommitData` in interface `CDODataInput`
      Throws:
        `java.io.IOException`

    - #### readCDOCommitInfo

          public CDOCommitInfo readCDOCommitInfo()
                                          throws java.io.IOException

      Specified by:
        `readCDOCommitInfo` in interface `CDODataInput`
      Throws:
        `java.io.IOException`

    - #### readCDOLockChangeInfo

          public CDOLockChangeInfo readCDOLockChangeInfo()
                                                  throws java.io.IOException

      Specified by:
        `readCDOLockChangeInfo` in interface `CDODataInput`
      Throws:
        `java.io.IOException`

    - #### readCDOLockArea

          public IDurableLockingManager.LockArea readCDOLockArea()
                                                          throws java.io.IOException

      Specified by:
        `readCDOLockArea` in interface `CDODataInput`
      Throws:
        `java.io.IOException`

    - #### readCDOLockOwner

          public CDOLockOwner readCDOLockOwner()
                                        throws java.io.IOException

      Specified by:
        `readCDOLockOwner` in interface `CDODataInput`
      Throws:
        `java.io.IOException`

    - #### readCDOLockState

          public CDOLockState readCDOLockState()
                                        throws java.io.IOException

      Specified by:
        `readCDOLockState` in interface `CDODataInput`
      Throws:
        `java.io.IOException`

    - #### readCDOLockType

          public IRWLockManager.LockType readCDOLockType()
                                                  throws java.io.IOException

      Specified by:
        `readCDOLockType` in interface `CDODataInput`
      Throws:
        `java.io.IOException`

    - #### readCDOID

          public CDOID readCDOID()
                          throws java.io.IOException

      Specified by:
        `readCDOID` in interface `CDODataInput`
      Throws:
        `java.io.IOException`

    - #### readCDOIDReference

          public CDOIDReference readCDOIDReference()
                                            throws java.io.IOException

      Specified by:
        `readCDOIDReference` in interface `CDODataInput`
      Throws:
        `java.io.IOException`

    - #### readCDOIDAndVersion

          public CDOIDAndVersion readCDOIDAndVersion()
                                              throws java.io.IOException

      Specified by:
        `readCDOIDAndVersion` in interface `CDODataInput`
      Throws:
        `java.io.IOException`

    - #### readCDOIDAndBranch

          public CDOIDAndBranch readCDOIDAndBranch()
                                            throws java.io.IOException

      Specified by:
        `readCDOIDAndBranch` in interface `CDODataInput`
      Throws:
        `java.io.IOException`

    - #### readCDORevisionKey

          public CDORevisionKey readCDORevisionKey()
                                            throws java.io.IOException

      Specified by:
        `readCDORevisionKey` in interface `CDODataInput`
      Throws:
        `java.io.IOException`

    - #### readCDORevision

          public CDORevision readCDORevision()
                                      throws java.io.IOException

      Specified by:
        `readCDORevision` in interface `CDODataInput`
      Throws:
        `java.io.IOException`

    - #### readCDORevision

          public CDORevision readCDORevision(boolean freeze)
                                      throws java.io.IOException

      Specified by:
        `readCDORevision` in interface `CDODataInput`
      Throws:
        `java.io.IOException`

    - #### readCDORevisable

          public CDORevisable readCDORevisable()
                                        throws java.io.IOException

      Specified by:
        `readCDORevisable` in interface `CDODataInput`
      Throws:
        `java.io.IOException`

    - #### readCDOList

          public CDOList readCDOList(EClass owner,
                                     EStructuralFeature feature)
                              throws java.io.IOException

      Specified by:
        `readCDOList` in interface `CDODataInput`
      Throws:
        `java.io.IOException`

    - #### readCDOFeatureValue

          public java.lang.Object readCDOFeatureValue(EStructuralFeature feature)
                                               throws java.io.IOException

      Specified by:
        `readCDOFeatureValue` in interface `CDODataInput`
      Throws:
        `java.io.IOException`

    - #### readCDORevisionDelta

          public CDORevisionDelta readCDORevisionDelta()
                                                throws java.io.IOException

      Specified by:
        `readCDORevisionDelta` in interface `CDODataInput`
      Throws:
        `java.io.IOException`

    - #### readCDOFeatureDelta

          public CDOFeatureDelta readCDOFeatureDelta(EClass owner)
                                              throws java.io.IOException

      Specified by:
        `readCDOFeatureDelta` in interface `CDODataInput`
      Throws:
        `java.io.IOException`

    - #### readCDORevisionOrPrimitive

          public java.lang.Object readCDORevisionOrPrimitive()
                                                      throws java.io.IOException

      Description copied from interface: `CDODataInput`
      Read either a CDORevision or a primitive value.
      Specified by:
        `readCDORevisionOrPrimitive` in interface `CDODataInput`
      Throws:
        `java.io.IOException`

    - #### readCDORevisionOrPrimitiveOrClassifier

          public java.lang.Object readCDORevisionOrPrimitiveOrClassifier()
                                                                  throws java.io.IOException

      Description copied from interface: `CDODataInput`
      Read either a CDORevision, a primitive value or a EClass.
      Specified by:
        `readCDORevisionOrPrimitiveOrClassifier` in interface `CDODataInput`
      Throws:
        `java.io.IOException`

    - #### isXCompression

          protected boolean isXCompression()

      Since:
        4.6

    - #### getPackageURICompressor

          protected StringIO getPackageURICompressor()

    - #### getBranchManager

          protected abstract CDOBranchManager getBranchManager()

    - #### getCommitInfoManager

          protected abstract CDOCommitInfoManager getCommitInfoManager()

    - #### getRevisionFactory

          protected abstract CDORevisionFactory getRevisionFactory()

    - #### getListFactory

          protected abstract CDOListFactory getListFactory()

    - #### getLobStore

          protected abstract CDOLobStore getLobStore()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html